/* Elvira Bluetooth FTP 
 * Copyright (C) 2007  Alberto Salas Bragado
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef TYPES_H_
#define TYPES_H_

/**
 * Tipo para modelar un dispositivo
 */
struct device_t {
	char mac[19];
	char name[255];
	int port;
};
typedef struct device_t device_t;

/**
 * Tipo para modelar un fichero
 */
struct file_t {
	char type;
	char name[128];
	char size[128];
	char created[128];
	char modified[128];
	char user_perm[5];
	char mem_type[10];
};
typedef struct file_t file_t;

/**
 * Constantes que definen si el objeto es un directorio o un fichero
 */
#define FILET_FILE 'f'
#define FILET_FOLDER 'd'

#endif /*TYPES_H_*/
